<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_ewallet.mvvm.BankWithdrawViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_ewallet.ui.BankWithdrawActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:id="@+id/easy_title_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="银行卡提现" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fillViewport="true"
            android:scrollbars="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <!--提现金额-->
                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/d_10dp"
                    android:text="提现金额"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginRight="@dimen/d_30dp"
                    android:background="@color/page_bg"
                    android:paddingTop="@dimen/d_10dp"
                    android:paddingBottom="@dimen/d_10dp">

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:id="@+id/tv_giro_withdrawal_value"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:text="@{viewModel.mWithdrawMoney}"
                        android:textColor="@color/app_blue"
                        android:textSize="@dimen/d_16sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="@dimen/d_20dp"
                        android:text="(人民币)"
                        android:textColor="@color/app_blue"
                        android:textSize="@dimen/d_15sp" />

                </RelativeLayout>

                <!--下次提现日期-->
                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_18dp"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/d_10dp"
                    android:text="下次提现日期"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginRight="@dimen/d_30dp"
                    android:background="@color/page_bg"
                    android:paddingTop="@dimen/d_10dp"
                    android:paddingBottom="@dimen/d_10dp">

                    <TextView
                        android:id="@+id/tv_next_giro_date"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:text="-"
                        android:textColor="@color/app_blue"
                        android:textSize="@dimen/d_16sp" />

                </RelativeLayout>


                <!--银行卡号-->
                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_18dp"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/d_10dp"
                    android:text="银行卡卡号"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginRight="@dimen/d_30dp"
                    android:background="@drawable/shape_white_border"
                    android:inputType="number"
                    android:paddingLeft="@dimen/d_20dp"
                    android:paddingTop="@dimen/d_10dp"
                    android:paddingRight="@dimen/d_20dp"
                    android:paddingBottom="@dimen/d_10dp"
                    android:singleLine="true"
                    android:textColor="@color/app_blue"
                    android:textSize="@dimen/d_16sp"
                    binding:default="@{@string/normal_empty}"
                    tools:text="@string/normal_empty"
                    android:text="@={viewModel.mBankCardNum}" />


                <!--                <com.guadou.componentservice.font_text_view.TextViewRegular-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:layout_marginTop="@dimen/d_5dp"-->
                <!--                    android:layout_marginBottom="@dimen/d_5dp"-->
                <!--                    android:layout_marginLeft="@dimen/d_30dp"-->
                <!--                    android:layout_marginRight="@dimen/d_30dp"-->
                <!--                    android:paddingTop="@dimen/d_19dp"-->
                <!--                    android:paddingBottom="@dimen/d_19dp"-->
                <!--                    android:paddingLeft="@dimen/d_16dp"-->
                <!--                    android:paddingRight="@dimen/d_16dp"-->
                <!--                    android:drawablePadding="@dimen/d_16dp"-->
                <!--                    android:drawableLeft="@drawable/notice_bank_name_icon"-->
                <!--                    android:lineHeight="20.5dp"-->
                <!--                    android:text="Please confirm this is the bank account number. Kindly ensure this is NOT Credit card number."-->
                <!--                    android:textColor="#BB480A"-->
                <!--                    android:background="#FFECD2"-->
                <!--                    android:textSize="@dimen/d_15sp" />-->

                <!--银行-->
                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_18dp"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/d_10dp"
                    android:text="银行名称"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <LinearLayout
                    android:id="@+id/ll_bank_box"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginRight="@dimen/d_30dp"
                    android:background="@drawable/shape_white_border"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="@dimen/d_1dp">

                    <TextView
                        android:id="@+id/tv_giro_withdraw_bank"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:layout_weight="1"
                        android:background="@color/white"
                        android:paddingLeft="@dimen/d_20dp"
                        android:paddingTop="@dimen/d_10dp"
                        android:paddingRight="@dimen/d_20dp"
                        android:paddingBottom="@dimen/d_10dp"
                        android:singleLine="true"
                        tools:text="@string/normal_empty"
                        binding:text="@{viewModel.mSelectBankName}"
                        binding:default="@{@string/normal_empty}"
                        android:textColor="@color/app_blue"
                        android:textSize="@dimen/d_16sp" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/d_15dp"
                        android:src="@drawable/drop_down" />

                </LinearLayout>

                <!--银行卡持有人-->
                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_18dp"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/d_10dp"
                    android:text="持卡人姓名"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <EditText
                    android:id="@+id/et_giro_withdraw_bank_account_holder"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginRight="@dimen/d_30dp"
                    android:background="@drawable/shape_white_border"
                    android:paddingLeft="@dimen/d_20dp"
                    android:paddingTop="@dimen/d_10dp"
                    android:paddingRight="@dimen/d_20dp"
                    android:paddingBottom="@dimen/d_10dp"
                    android:singleLine="true"
                    android:text='@{viewModel.mHoldAccount}'
                    binding:default="@{@string/normal_empty}"
                    tools:text="@string/normal_empty"
                    android:textColor="@color/app_blue"
                    android:textSize="@dimen/d_16sp" />


                <!--Appoint Now-->
                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_45dp"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_50dp"
                    android:layout_marginRight="@dimen/d_30dp"
                    android:layout_marginBottom="@dimen/dp_40"
                    android:background="@drawable/selector_app_blue_button_round2_bg"
                    android:gravity="center"
                    android:text="提现"
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_16sp"
                    android:visibility="visible"
                    binding:clicks="@{click.submitForm}" />

            </LinearLayout>

        </ScrollView>

    </LinearLayout>


</layout>
